/**
 * `AuthenticationError` error.
 *
 * @constructor
 * @api private
 */
function PasswordComplexityError(message, status) {
    Error.call(this);
    Error.captureStackTrace(this, arguments.callee);
    this.name = 'PasswordComplexityError';
    this.message = message;
}

// Inherit from `Error`.
PasswordComplexityError.prototype.__proto__ = Error.prototype;


// Expose constructor.
module.exports = PasswordComplexityError;